| eMD IIM4265x Driver API 1.0.0

Data Fields
inv_ixm42xxx_apex_parameters Struct Reference
Ixm42xxx driver high level functions related to APEX

Ixm42xxx APEX inputs parameters definition. More...

`#include <Ixm42xxxDriver_HL_apex.h>`

## Data Fields
IXM42XXX_APEX_CONFIG2_PEDO_AMP_TH_t | pedo_amp_th
uint8_t | pedo_step_cnt_th
uint8_t | pedo_step_det_th
IXM42XXX_APEX_CONFIG3_PEDO_SB_TIMER_TH_t | pedo_sb_timer_th
IXM42XXX_APEX_CONFIG3_PEDO_HI_ENRGY_TH_t | pedo_hi_enrgy_th
IXM42XXX_APEX_CONFIG4_TILT_WAIT_TIME_t | tilt_wait_time
IXM42XXX_APEX_CONFIG1_DMP_POWER_SAVE_TIME_t | power_save_time
IXM42XXX_APEX_CONFIG0_DMP_POWER_SAVE_t | power_save
IXM42XXX_APEX_CONFIG9_SENSITIVITY_MODE_t | sensitivity_mode
IXM42XXX_APEX_CONFIG4_R2W_SLEEP_TIME_OUT_t | r2w_sleep_time_out
IXM42XXX_APEX_CONFIG5_R2W_MOUNTING_MATRIX_t | r2w_mounting_matrix
IXM42XXX_APEX_CONFIG6_R2W_SLEEP_GEST_DELAY_t | r2w_gest_delay
IXM42XXX_APEX_CONFIG1_LOW_ENERGY_AMP_TH_t | low_energy_amp_th

## Detailed Description

Ixm42xxx APEX inputs parameters definition.

Definition at line 63 of file Ixm42xxxDriver_HL_apex.h.

## Field Documentation

## ◆ low_energy_amp_th

IXM42XXX_APEX_CONFIG1_LOW_ENERGY_AMP_TH_t low_energy_amp_th

Peak threshold value to be considered as a valid step (mg) in Slow walk mode

Definition at line 88 of file Ixm42xxxDriver_HL_apex.h.

## ◆ pedo_amp_th

IXM42XXX_APEX_CONFIG2_PEDO_AMP_TH_t pedo_amp_th

Peak threshold value to be considered as a valid step (mg)

Definition at line 64 of file Ixm42xxxDriver_HL_apex.h.

## ◆ pedo_hi_enrgy_th

IXM42XXX_APEX_CONFIG3_PEDO_HI_ENRGY_TH_t pedo_hi_enrgy_th

Threshold to improve run detection if not steps are counted while running

Definition at line 72 of file Ixm42xxxDriver_HL_apex.h.

## ◆ pedo_sb_timer_th

IXM42XXX_APEX_CONFIG3_PEDO_SB_TIMER_TH_t pedo_sb_timer_th

Duration of non-walk to exit the current walk mode, pedo_step_cnt_th number of steps must again be detected before step count starts to increase

Definition at line 69 of file Ixm42xxxDriver_HL_apex.h.

## ◆ pedo_step_cnt_th

uint8_t pedo_step_cnt_th

Minimum number of steps that must be detected before the pedometer step count begins incrementing

Definition at line 65 of file Ixm42xxxDriver_HL_apex.h.

## ◆ pedo_step_det_th

uint8_t pedo_step_det_th

Minimum number of low latency steps that must be detected before the pedometer step count begins incrementing

Definition at line 67 of file Ixm42xxxDriver_HL_apex.h.

## ◆ power_save

IXM42XXX_APEX_CONFIG0_DMP_POWER_SAVE_t power_save

Power save mode for APEX algorithms. This mode will put APEX features into sleep mode, leaving only the WOM running to wake-up the DMP

Definition at line 77 of file Ixm42xxxDriver_HL_apex.h.

## ◆ power_save_time

IXM42XXX_APEX_CONFIG1_DMP_POWER_SAVE_TIME_t power_save_time

The time after which DMP goes in power save mode according to the DMP ODR configured

Definition at line 76 of file Ixm42xxxDriver_HL_apex.h.

## ◆ r2w_gest_delay

IXM42XXX_APEX_CONFIG6_R2W_SLEEP_GEST_DELAY_t r2w_gest_delay

Detection window for a sleep gesture detection.

Definition at line 86 of file Ixm42xxxDriver_HL_apex.h.

## ◆ r2w_mounting_matrix

IXM42XXX_APEX_CONFIG5_R2W_MOUNTING_MATRIX_t r2w_mounting_matrix

Mounting matrix, chip to device frame.

Definition at line 85 of file Ixm42xxxDriver_HL_apex.h.

## ◆ r2w_sleep_time_out

IXM42XXX_APEX_CONFIG4_R2W_SLEEP_TIME_OUT_t r2w_sleep_time_out

Time out for a sleep detection.

Definition at line 84 of file Ixm42xxxDriver_HL_apex.h.

## ◆ sensitivity_mode

IXM42XXX_APEX_CONFIG9_SENSITIVITY_MODE_t sensitivity_mode

Sensitivity mode Normal(0) or Slow walk(1). The Slow walk mode improve the slow walk detection (<1Hz) but in return the number of false detection might be increase.

Definition at line 80 of file Ixm42xxxDriver_HL_apex.h.

## ◆ tilt_wait_time

IXM42XXX_APEX_CONFIG4_TILT_WAIT_TIME_t tilt_wait_time

Number of accelerometer samples to wait before triggering tilt event

Definition at line 74 of file Ixm42xxxDriver_HL_apex.h.

The documentation for this struct was generated from the following file:

- Ixm42xxxDriver_HL_apex.h